SoapServer::SoapServer
SoapFault::__construct
SOAP
PHP Manual

# The SoapFault class

## Introduction

Represents a SOAP fault.

## Class synopsis

SoapFault
SoapFault extends Exception {
/* Properties */
/* Methods */
__construct ( string `$faultcode` , string `$faultstring` [, string `$faultactor` [, string `$detail` [, string `$faultname` [, string `$headerfault` ]]]] )
SoapFault ( string `$faultcode` , string `$faultstring` [, string `$faultactor` [, string `$detail` [, string `$faultname` [, string `$headerfault` ]]]] )
public string __toString ( void )
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

## Properties

message

  Prop description

code

  Prop description

file

  Prop description

line

  Prop description

## Table of Contents

- SoapFault::__construct — SoapFault constructor
- SoapFault::SoapFault — SoapFault constructor
- SoapFault::__toString — Obtain a string representation of a SoapFault

SoapServer::SoapServer
SoapFault::__construct
SOAP
PHP Manual